﻿//
//  ViewController.swift
//  iOSSpritverbrauch
//
//  Created by Michael Wilhelm on 8/04/2016.
//  Copyright © 2016 Michael Wilhelm. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    // uiAttribute
    @IBOutlet var uiInputKm: UITextField!
    
    @IBOutlet var uiInputLiter: UITextField!
    @IBOutlet var uiOutputVerbrauch: UITextField!
    
    // uiEvents
    @IBAction func bnAction(_ sender: UIButton) {
        let km = Double(uiInputKm.text!)
        let liter = Double(uiInputLiter.text!)
        if (km==nil)  ||  (liter==nil) {
            uiOutputVerbrauch.text="Fehlerhafte Eingabe"
        }
        else {
           let km2=km!
           let liter2=liter!
            if km2<=0.0 || liter2<=0.0 {
                uiOutputVerbrauch.text="Fehlerhafte Eingabe"
            }
            else {
                let verbrauch=liter2*100.0/km2
                uiOutputVerbrauch.text=String(format:"%.2f",verbrauch)
            }
        }
    }
    

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

